#
# spec file for package ksymoops (Version 2.4.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ksymoops
Version:        2.4.11
Release:        17.2
Summary:        Kernel Oops and Error Message Decoder
License:        GPL
Requires:       binutils
Group:          Development/Tools/Debuggers
URL:            ftp://ftp.<country>.kernel.org/pub/linux/utils/kernel/ksymoops/
Autoreqprov:    on
Provides:       base:/usr/sbin/ksymoops
Source:         ftp://ftp.<country>.kernel.org/pub/linux/utils/kernel/v2.4/%{name}-%{version}.tar.bz2
Patch:          kallsyms-System.map-path.diff
Patch1:         ksymoops-ppcsymbols.diff
Patch2:         ksymoops-optflags.patch
Patch3:         ksymoops-overflow.patch
Patch4:         manpage-perm.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Linux kernel produces error messages that contain machine specific
numbers that are meaningless for debugging.  Ksymoops reads
machine-specific files and the error log and converts the addresses to
meaningful symbols and offsets.



Authors:
--------
    Keith Owens <kaos@ocs.com.au>

%debug_package
%prep
%setup
%patch -p1
%patch2 -p1
%patch3 -p1
%ifarch ppc ppc64
%patch1 -p1
%endif
%patch4 -p1
# ---------------------------------------------------------------------------

%build
make all OPTFLAGS="$RPM_OPT_FLAGS"
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make \
	INSTALL_PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
	INSTALL_MANDIR=$RPM_BUILD_ROOT/%{_mandir} \
	install
# ---------------------------------------------------------------------------

%clean
# ---------------------------------------------------------------------------

%files
%defattr(-,root,root)
%{_bindir}/ksymoops
%doc %{_mandir}/man8/ksymoops.8.gz
%doc COPYING Changelog INSTALL README README.XFree86

%changelog -n ksymoops
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep 02 2005 - lmuelle@suse.de
- Fix man page permissions; [#114849].
* Thu Jun 30 2005 - meissner@suse.de
- Use RPM_OPT_FLAGS.
- Fixed 1 byte overflow.
* Tue Mar 01 2005 - lmuelle@suse.de
- Update to version 2.4.11.
- Build as none root user.
* Fri Jul 23 2004 - lmuelle@suse.de
- Fix default kallsyms path.
* Tue Jun 10 2003 - lmuelle@suse.de
- fix typo in patch filename
* Tue Jun 10 2003 - lmuelle@suse.de
- update to version 2.4.9
* Tue Feb 25 2003 - lmuelle@suse.de
- add %%ifarch for ppc/ppc64 patch, #24250
* Mon Feb 10 2003 - lmuelle@suse.de
- update to version 2.4.8
* Wed Nov 06 2002 - meissner@suse.de
- added requires binutils (for nm)
- Handle ppc/ppc64 call trace resolving.
* Fri Aug 16 2002 - ro@suse.de
- removed empty post/postun scripts (#17897)
* Sat Apr 20 2002 - ro@suse.de
- added provide for package split
* Fri Apr 19 2002 - lmuelle@suse.de
- Initial SuSE package; slipt from package base
